package com.gingersoft.gsa.cloud.main.mvp.model.bean;

import java.util.List;

public class DiscountDetailsReportBean {

    /**
     * success : true
     * sysTime : 1597391995745
     * data : {"billNumSum":1,"list":[{"couponName":"6折Ginger折扣券","billNum":1,"amount":59.4}],"amountSum":59.4}
     */

    private boolean success;
    private long sysTime;
    private DataBean data;

    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public long getSysTime() {
        return sysTime;
    }

    public void setSysTime(long sysTime) {
        this.sysTime = sysTime;
    }

    public DataBean getData() {
        return data;
    }

    public void setData(DataBean data) {
        this.data = data;
    }

    public static class DataBean {
        /**
         * billNumSum : 1
         * list : [{"couponName":"6折Ginger折扣券","billNum":1,"amount":59.4}]
         * amountSum : 59.4
         */

        private int billNumSum;
        private double amountSum;
        private List<ListBean> list;

        public int getBillNumSum() {
            return billNumSum;
        }

        public void setBillNumSum(int billNumSum) {
            this.billNumSum = billNumSum;
        }

        public double getAmountSum() {
            return amountSum;
        }

        public void setAmountSum(double amountSum) {
            this.amountSum = amountSum;
        }

        public List<ListBean> getList() {
            return list;
        }

        public void setList(List<ListBean> list) {
            this.list = list;
        }

        public static class ListBean {
            /**
             * couponName : 6折Ginger折扣券
             * billNum : 1
             * amount : 59.4
             */

            private String couponName;
            private int billNum;
            private double amount;

            public String getCouponName() {
                return couponName;
            }

            public void setCouponName(String couponName) {
                this.couponName = couponName;
            }

            public int getBillNum() {
                return billNum;
            }

            public void setBillNum(int billNum) {
                this.billNum = billNum;
            }

            public double getAmount() {
                return amount;
            }

            public void setAmount(double amount) {
                this.amount = amount;
            }
        }
    }
}
